com.tibco.n2.service.adapter.binding

## Interface EventCollectorReportService

- All Known Implementing Classes:
    EventCollectorReportService

      public interface EventCollectorReportService

  Interface to provide the `EventCollectorReportService` methods.

  ©2011 TIBCO Software Inc.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.tibco.n2.ec.api.base.CaseAudit` | `getCaseAudit(com.tibco.n2.ec.api.base.Case cse, com.tibco.n2.ec.api.base.CaseAuditReportOptions caseAuditReportOptions)` Get the audit trail for the references Case
    `com.tibco.n2.ec.api.base.ChartResult` | `getChart(com.tibco.n2.ec.api.base.ChartQuery chartQuery, com.tibco.n2.ec.api.base.ChartOptions chartOptions)` Get Chart information
    `com.tibco.n2.ec.api.base.ChartDataResult` | `getChartData(com.tibco.n2.ec.api.base.ChartDataQuery chartDataQuery, com.tibco.n2.ec.api.base.ChartDataOptions chartDataOptions)` Get Chart Data information
    `com.tibco.n2.ec.api.base.CommentAudit` | `getCommentAudit(com.tibco.n2.ec.api.base.CommentReference commentReference, com.tibco.n2.ec.api.base.CommentReportOptions commentOptions)` Get a Comment Report
    `com.tibco.n2.ec.api.base.ProcessInstanceAudit` | `getProcessInstanceAudit(com.tibco.n2.ec.api.base.ProcessInstanceReference processInstanceReference, com.tibco.n2.ec.api.base.ProcessInstanceAuditReportOptions processInstanceAuditReportOptions)` Get the audit trail for the references Process Instance
    `com.tibco.n2.ec.api.base.WorkItemAudit` | `getWorkItemAudit(com.tibco.n2.ec.api.base.WorkItemReference workItemReference, com.tibco.n2.ec.api.base.WorkItemAuditReportOptions workItemAuditReportOptions)` Get the audit trail for the references WorkItem

- - ### Method Detail

    - #### getProcessInstanceAudit

          com.tibco.n2.ec.api.base.ProcessInstanceAudit getProcessInstanceAudit(com.tibco.n2.ec.api.base.ProcessInstanceReference processInstanceReference,
                                                                                com.tibco.n2.ec.api.base.ProcessInstanceAuditReportOptions processInstanceAuditReportOptions)
                                                                         throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                                com.tibco.n2.ec.services.InternalServiceFault,
                                                                                com.tibco.n2.ec.services.SecurityFault

      Get the audit trail for the references Process Instance
      Parameters:
        `reference` -
        `options` -
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### getCaseAudit

          com.tibco.n2.ec.api.base.CaseAudit getCaseAudit(com.tibco.n2.ec.api.base.Case cse,
                                                          com.tibco.n2.ec.api.base.CaseAuditReportOptions caseAuditReportOptions)
                                                   throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                          com.tibco.n2.ec.services.InternalServiceFault,
                                                          com.tibco.n2.ec.services.SecurityFault

      Get the audit trail for the references Case
      Parameters:
        `reference` -
        `options` -
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### getWorkItemAudit

          com.tibco.n2.ec.api.base.WorkItemAudit getWorkItemAudit(com.tibco.n2.ec.api.base.WorkItemReference workItemReference,
                                                                  com.tibco.n2.ec.api.base.WorkItemAuditReportOptions workItemAuditReportOptions)
                                                           throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                  com.tibco.n2.ec.services.InternalServiceFault,
                                                                  com.tibco.n2.ec.services.SecurityFault

      Get the audit trail for the references WorkItem
      Parameters:
        `reference` -
        `options` -
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### getChart

          com.tibco.n2.ec.api.base.ChartResult getChart(com.tibco.n2.ec.api.base.ChartQuery chartQuery,
                                                        com.tibco.n2.ec.api.base.ChartOptions chartOptions)
                                                 throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                        com.tibco.n2.ec.services.InternalServiceFault,
                                                        com.tibco.n2.ec.services.SecurityFault

      Get Chart information
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### getChartData

          com.tibco.n2.ec.api.base.ChartDataResult getChartData(com.tibco.n2.ec.api.base.ChartDataQuery chartDataQuery,
                                                                com.tibco.n2.ec.api.base.ChartDataOptions chartDataOptions)
                                                         throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                com.tibco.n2.ec.services.InternalServiceFault,
                                                                com.tibco.n2.ec.services.SecurityFault

      Get Chart Data information
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### getCommentAudit

          com.tibco.n2.ec.api.base.CommentAudit getCommentAudit(com.tibco.n2.ec.api.base.CommentReference commentReference,
                                                                com.tibco.n2.ec.api.base.CommentReportOptions commentOptions)
                                                         throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                com.tibco.n2.ec.services.InternalServiceFault,
                                                                com.tibco.n2.ec.services.SecurityFault

      Get a Comment Report
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.